ubuntu/+source/freeipa:ubuntu/eoan-devel

Last commit made on 2019-10-14
Get this branch:
git clone -b ubuntu/eoan-devel https://git.launchpad.net/ubuntu/+source/freeipa
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/eoan-devel
Repository:
lp:ubuntu/+source/freeipa

Recent commits

40ab7d5... by Timo Aaltonen on 2019-10-14

Import patches-unapplied version 4.8.1-2ubuntu1 to ubuntu/eoan-proposed

Imported using git-ubuntu import.

Changelog parent: 08c6a7a24e896fc8dde75490dfab49c67779918a

New changelog entries:
  * control: Server needs to depend on the py3 version of mod-wsgi.

08c6a7a... by Timo Aaltonen on 2019-09-11

Import patches-unapplied version 4.8.1-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 9489a0e5d6834b4229a4d18075a6eca67783fb75

New changelog entries:
  * client.postinst: Migrate checks to python3. (Closes: #936555)
  * server.postinst: Let ipactl run the upgrader when needed, drop it from here.
  * control: Add python3-pki-base to python3-ipaserver depends.
  * control: Add ssl-cert to freeipa-server depends.

9489a0e... by Timo Aaltonen on 2019-09-07

Import patches-unapplied version 4.8.1-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 3d490ec1230ad1c26c6b5c4d73183a51618e5c35

New changelog entries:
  * New upstream release.
  * Drop upstreamed patches.
  * install: Updated.
  * fix-ods-conf-template.diff: Drop an obsolete conf option.
  * rules: Rework gentarball target.
  * control: Bump policy to 4.4.0.
  * Bump debhelper compat to 12.
  * Migrate to python3.
  * d/s/local-options: Updated.
  * install: Updated.
  * control, install: Add freeipa-client-samba.
  * d/pydist-overrides: Updated.

3d490ec... by Timo Aaltonen on 2019-05-06

Import patches-unapplied version 4.7.2-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 774a8b4d07e32c90bd22dd8bcaa21c2a356f8237

New changelog entries:
  * control: Move python-jwcrypto to python-ipaserver depends.

774a8b4... by Timo Aaltonen on 2019-02-12

Import patches-unapplied version 4.7.2-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: cb7bf45849e22237a94a7e0c2ac89bca22aee4f1

New changelog entries:
  * tests: Disabled, they are for the server.
  * Split server build-deps from the stub.

cb7bf45... by Timo Aaltonen on 2019-02-05

Import patches-unapplied version 4.7.2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 9d6e276a65e0d5f59e49621926028e54ac1f6e42

New changelog entries:
  * New upstream release.
  * client.tmpfile: Use /run instead of /var/run.
  * control.common: Use same arch set on node-uglify build-dep as for
    nodejs. (Closes: #918579)
  * fix-fontawesome-path.diff: Refreshed.
  * rules: Build only the client until Dogtag works again.

9d6e276... by Timo Aaltonen on 2018-12-06

Import patches-unapplied version 4.7.1-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 33761344e73dd44df70ecc5664b45401e1481cd9

New changelog entries:
  * control: Replace libsvrcore-dev build-dep with 389-ds-base-dev.
  * tests: Install only the packages which are used for testing.
  * rules: Don't run git on clean. (Closes: #912202)
  * control: Nodejs is not available on all archs, build server packages
    only where it is.
  * control: Add systemd to python-ipalib depends. (Closes: #851158)

3376134... by Timo Aaltonen on 2018-10-18

Import patches-unapplied version 4.7.1-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 185c0e509c29a4f086bd1f2ca3663a5fb02cbaae

New changelog entries:
  * control: Change python-nose to -mock on python-ipatests Depends.
  * fix-oddjobd-conf.diff: Fix path to org.freeipa.server.conncheck.
  * server.postinst: Fix a typo.
  * fix-fontawesome-path.diff: Fix upgrade.

185c0e5... by Timo Aaltonen on 2018-10-09

Import patches-unapplied version 4.7.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: c1784a96b7b5ae70c5b88ec2926707e053fef5b4

New changelog entries:
  * New upstream release.
    - fix-replicainstall.diff dropped, not applicable anymore
    - ipa-httpd-pwdreader-force-fqdn.diff dropped, obsolete
    - refresh patches
    - server: drop ipa-replica-prepare
  * dont-migrate-to-authselect.diff We don't have authselect, so just
    return true when trying to migrate to it. (LP: #1793994)
  * control: Move client dependency on chrony to recommends. (Closes:
    #909803)
  * control: Build server on any arch again.
  * tests: Don't fail the tests, just dump the log if something goes
    wrong.

c1784a9... by Timo Aaltonen on 2018-09-28

Import patches-unapplied version 4.7.0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 95657a2278da621479d5262d0a7dc54281594bf5

New changelog entries:
  * New upstream release. (LP: #1772447, #1772450)
    - fix-version.diff: Dropped, not needed
    - hack-duplicate-cert-directive.diff: Dropped, fixed upstream
    - ldap-multiarch.diff: Dropped, fixed upstream
    - support-pam-mkhomedir.diff: Dropped, fixed upstream
    - fix-apache-ssl-setup.diff: Dropped, fixed upstream
    - fix-httpd-group.diff: Dropped, fixed upstream
    - fix-named-conf-template.diff: Dropped, fixed upstream
    - fix-paths.diff: Dropped, fixed upstream
    - refresh patches
  * tests/server-install: Fix the fake domain, single label domains are not
    supported anymore.
  * server.postinst: Fix upgrade from earlier version.
  * fix-fontawesome-path.diff: Fix the path to font-awesome. (LP:
    #1772921)
  * fix-krb5kdc-cert-path.diff: Apache can't access KDC certs, move them
    to /var/lib/ipa/certs. (LP: #1772447)
  * ipa-httpd-pwdreader-force-fqdn.diff: Make sure HOSTNAME is a FQDN. (LP:
    #1769485)
  * control: Add libjs-scriptaculous to server depends.
  * fix-gzip-path.diff: Fix path to gzip. (LP: #1778236)
  * control, rules: Switch rhino to nodejs for ui build.
  * d/s/local-options: Add some files to ignore.
  * control, copyright: Add node-uglify to build-depends, the embedded
    copy was removed.
  * control, fix-py3-lesscpy-name.diff: Add python3-lesscpy to build-
    depends, call the binary with the correct name.
  * control: Add python3-pkg-resources to build-depends.
  * client.install: Add new template.
  * control: Update vcs urls.
  * control: Mark priority as optional.
  * control, rules: Bump dh to 11.
  * control: Add adduser to server depends.
  * source/lintian-overrides: Updated.
  * control: Bump policy to 4.1.5.
  * control: Update maintainer list address.
  * control: Build the server only on archs where 389-ds-base is
    available.
  * control: Bump python-ldap build-dep to 3.1.